using Godot;

namespace Cirno.Scripts.Components.FSM;

public abstract partial class PlayerFSMState : State
{
    [Export]
    public PlayerState State { get; private set; }
    public override int StateId => (int)State;

    protected void ChangeState(PlayerState newState)
    {
        _stateMachine.SetState((int)newState);
    }
}
